| optoMDC

Public Member Functions | Public Attributes | List of all members
optoMDC.tools.pyMDC_SPI.SPI Class Reference

## Public Member Functions
def | __init__ (self, int bus=0, int device=0)
def | __exit__ (self, exc_type, exc_val, exc_tb)
def | set_values (self, system1, register1, system2, register2, data1, data2, data_type='>f')
def | get_values (self, system, register, unit_type)
def | send (self, system1, register1, system2, register2, data1, data2, data_type='>f')
def | receive_w (self, int number_of_bytes=12)
def | receive_r (self, unit_type, int number_of_bytes=12)
def | connect (self)
def | disconnect (self)

## Public Attributes
| x_readback
| y_readback
| reg_value
| status

## Constructor & Destructor Documentation

## ◆ __init__()

def optoMDC.tools.pyMDC_SPI.SPI.__init__ | ( |  | self,
|  | int | bus = `0`,
|  | int | device = `0`
| ) |  |

## Member Function Documentation

## ◆ __exit__()

def optoMDC.tools.pyMDC_SPI.SPI.__exit__ | ( |  | self,
|  |  | exc_type,
|  |  | exc_val,
|  |  | exc_tb
| ) |  |

## ◆ connect()

def optoMDC.tools.pyMDC_SPI.SPI.connect | ( |  | self | ) |

## ◆ disconnect()

def optoMDC.tools.pyMDC_SPI.SPI.disconnect | ( |  | self | ) |

## ◆ get_values()

def optoMDC.tools.pyMDC_SPI.SPI.get_values | ( |  | self,
|  |  | system,
|  |  | register,
|  |  | unit_type
| ) |  |

## ◆ receive_r()

def optoMDC.tools.pyMDC_SPI.SPI.receive_r | ( |  | self,
|  |  | unit_type,
|  | int | number_of_bytes = `12`
| ) |  |

## ◆ receive_w()

def optoMDC.tools.pyMDC_SPI.SPI.receive_w | ( |  | self,
|  | int | number_of_bytes = `12`
| ) |  |

## ◆ send()

def optoMDC.tools.pyMDC_SPI.SPI.send | ( |  | self,
|  |  | system1,
|  |  | register1,
|  |  | system2,
|  |  | register2,
|  |  | data1,
|  |  | data2,
|  |  | data_type = `'>f'`
| ) |  |

## ◆ set_values()

def optoMDC.tools.pyMDC_SPI.SPI.set_values | ( |  | self,
|  |  | system1,
|  |  | register1,
|  |  | system2,
|  |  | register2,
|  |  | data1,
|  |  | data2,
|  |  | data_type = `'>f'`
| ) |  |

## Member Data Documentation

## ◆ reg_value

optoMDC.tools.pyMDC_SPI.SPI.reg_value

## ◆ status

optoMDC.tools.pyMDC_SPI.SPI.status

## ◆ x_readback

optoMDC.tools.pyMDC_SPI.SPI.x_readback

## ◆ y_readback

optoMDC.tools.pyMDC_SPI.SPI.y_readback

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/138-882-00_optoMDC/src/main/python/optoMDC/tools/pyMDC_SPI.py